fingerPrint_s Struct Reference

Associates a trailing sub-directory and final base name with an existing directory finger print. More...

`#include <rpmdb/fprint.h>`

Collaboration diagram for fingerPrint_s:
[legend]

## Data Fields

struct fprintCacheEntry_s * | entry
const char * | subDir
const char * | baseName

## Detailed Description

Associates a trailing sub-directory and final base name with an existing directory finger print.

Definition at line 43 of file fprint.h.

## Field Documentation

const char* fingerPrint_s::baseName

file base name

Definition at line 50 of file fprint.h.

Referenced by doLookup(), fpHashFunction(), fpLookupList(), and fpsCompare().

struct fprintCacheEntry_s* fingerPrint_s::entry

directory finger print entry (the directory path is stat(2)-able

Definition at line 45 of file fprint.h.

Referenced by doLookup(), fpHashFunction(), fpLookupList(), fpsCompare(), and handleOverlappedFiles().

const char* fingerPrint_s::subDir

trailing sub-directory path (directories that are not stat(2)-able

Definition at line 48 of file fprint.h.

Referenced by doLookup(), fpLookupList(), and fpsCompare().

The documentation for this struct was generated from the following file:

- rpmdb/fprint.h